> This page is for version v2.0 (default).
> For other versions, use one of these documentation indexes:
> - v2.0 (default): https://docs.cable.tech/v-2-0/llms.txt
> - v1.0: https://docs.cable.tech/v-1-0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cable.tech/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server.

# Update transaction alerts in batch

PUT https://api.cable.tech/v2/transaction_alert
Content-Type: application/json

Reference: https://docs.cable.tech/api-documentation/api-reference/transaction-alerts/update-transaction-alerts

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a list of TransactionAlert.

- `list of TransactionAlert`

## Response

### 200

Transaction alert updated successfully

- `success` (boolean, required) — Indicates if the write operation was successful.
- `write_count` (integer, required) — The number of records written to the database.
- `message` (string, required) — Provides additional information about the operation result.
- `organization_id` (string, required) — The organization ID for which the operation was performed.

## Errors

### 400 Bad Request Error

Invalid transaction alert data

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 401 Unauthorized Error

Unauthorized request

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 404 Not Found Error

Transaction alert not found

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 429 Too Many Requests Error

Rate limit exceeded

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 500 Internal Server Error

Server error

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

## Types

### TransactionAlert

- `alert_id` (string, required) — Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
- `timestamp` (datetime, required) — When this alert was generated in your system, in ISO 8601 format.
- `is_test` (boolean, optional, default: false) — If the transaction alert is test data, this should be set to true
- `status` (enum, optional)
  - Allowed values: `CREATED`, `PENDING`, `CLOSED`
- `check_type` (enum, optional) — The type of monitoring check that triggered the alert.
  - Allowed values: `INLINE_MONITORING`, `DELAYED_MONITORING`
- `related_check_id` (string, optional) — Unique identifier for a transaction check for which the alert belongs to.
- `related_tx_ids` (list of string, optional) — Unique identifiers for transactions which the alert relates to.

### GeneralErrorErrorsItems

- `field` (string, optional)
- `message` (string, optional)

## Examples

**Request**

```json
[
  {
    "alert_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
    "timestamp": "2024-01-15T09:30:00Z"
  }
]
```

**Response**

```json
{
  "success": true,
  "write_count": 1,
  "message": "Transaction alert updated successfully.",
  "organization_id": "org-9876543210"
}
```

**SDK Code**

```python
import requests

url = "https://api.cable.tech/v2/transaction_alert"

payload = [
    {
        "alert_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
        "timestamp": "2024-01-15T09:30:00Z"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cable.tech/v2/transaction_alert';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"alert_id":"a1b2c3d4-e5f6-7890-ab12-cd34ef567890","timestamp":"2024-01-15T09:30:00Z"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cable.tech/v2/transaction_alert"

	payload := strings.NewReader("[\n  {\n    \"alert_id\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cable.tech/v2/transaction_alert")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"alert_id\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.cable.tech/v2/transaction_alert")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"alert_id\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.cable.tech/v2/transaction_alert', [
  'body' => '[
  {
    "alert_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
    "timestamp": "2024-01-15T09:30:00Z"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cable.tech/v2/transaction_alert");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"alert_id\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "alert_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
    "timestamp": "2024-01-15T09:30:00Z"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cable.tech/v2/transaction_alert")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```